import _compareAscending_default from "./_compareAscending.js";
function compareMultiple(t, n, r) {
	for (var i = -1, a = t.criteria, o = n.criteria, s = a.length, c = r.length; ++i < s;) {
		var l = _compareAscending_default(a[i], o[i]);
		if (l) return i >= c ? l : l * (r[i] == "desc" ? -1 : 1);
	}
	return t.index - n.index;
}
var _compareMultiple_default = compareMultiple;
export { _compareMultiple_default as default };
